Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 446734 - www-servers/nginx - init script changes owner and mode of /var/log/nginx on each startup/restart
Summary: www-servers/nginx - init script changes owner and mode of /var/log/nginx on e...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Benedikt Böhm (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-10 13:29 UTC by Coacher
Modified: 2013-04-25 06:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Coacher 2012-12-10 13:29:15 UTC
With recent update of nginx initscript with checkpath code mode and owner checks for /var/log/nginx were introduced. I have a custom syslog setup with all logfiles having the same group (not root) so logcheck could read them. Also I don't really want anyone to look into my /var/log/nginx so it has 0750 mode. But with latest version of initscript all of these won't be taken in account and I will forcidly have 0755 dir with root:root perms on EACH restart of nginx. This is wrong.

Please do something with it. Wouldn't it be better to create /var/log/nginx from ebuild during postinstall? Or at least add a simple test check in ebuild like
if [ -d /var/log/nginx ]; then
    checkpath ...
fi


Reproducible: Always
Comment 1 Coacher 2012-12-10 13:33:35 UTC
Should be, of course

if [ ! -d /var/log/nginx ]; then
...
Comment 2 Benedikt Böhm (RETIRED) gentoo-dev 2012-12-20 08:11:22 UTC
fixed, thanks
Comment 3 Coacher 2013-01-21 03:28:06 UTC
Reopening.

Adding `-q` parameter to checkpath doesn't solve this. Ownership and mode are still changed on every nginx restart. Please add `if` clause.
Comment 4 Coacher 2013-03-14 20:52:21 UTC
ping
Comment 5 Benedikt Böhm (RETIRED) gentoo-dev 2013-04-25 06:45:18 UTC
fixed